Studio
Read a shared Studio message attachment
Checks the current read-only session grant and exact message attachment binding before issuing a short-lived provider URL.
GET
/
api
/
v1
/
studio
/
sessions
/
shared
/
{shareId}
/
chat
/
messages
/
{messageId}
/
attachments
/
{entryId}
/
{representation}
Read a shared Studio message attachment
curl --request GET \
--url https://api.revoengine.com/api/v1/studio/sessions/shared/{shareId}/chat/messages/{messageId}/attachments/{entryId}/{representation} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/studio/sessions/shared/{shareId}/chat/messages/{messageId}/attachments/{entryId}/{representation}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/studio/sessions/shared/{shareId}/chat/messages/{messageId}/attachments/{entryId}/{representation}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)⌘I
Read a shared Studio message attachment
curl --request GET \
--url https://api.revoengine.com/api/v1/studio/sessions/shared/{shareId}/chat/messages/{messageId}/attachments/{entryId}/{representation} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/studio/sessions/shared/{shareId}/chat/messages/{messageId}/attachments/{entryId}/{representation}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/studio/sessions/shared/{shareId}/chat/messages/{messageId}/attachments/{entryId}/{representation}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
